GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::JPEGLSCodec Class Reference

JPEG-LS. More...

`#include <gdcmJPEGLSCodec.h>`

Inheritance diagram for gdcm::JPEGLSCodec:
[legend]
Collaboration diagram for gdcm::JPEGLSCodec:
[legend]

## Public Member Functions

| JPEGLSCodec ()
| ~JPEGLSCodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
bool | Decode (DataElement const &in, char *outBuffer, size_t inBufferLength, uint32_t inXMin, uint32_t inXMax, uint32_t inYMin, uint32_t inYMax, uint32_t inZMin, uint32_t inZMax)
unsigned long | GetBufferLength () const
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
bool | GetLossless () const
void | SetBufferLength (unsigned long l)
void | SetLossless (bool l)
void | SetLossyError (int error)
| [0-3] generally
Public Member Functions inherited from gdcm::ImageCodec
| ImageCodec ()
| ~ImageCodec ()
const unsigned int * | GetDimensions () const
bool | GetLossyFlag () const
const LookupTable & | GetLUT () const
bool | GetNeedByteSwap () const
unsigned int | GetNumberOfDimensions () const
const PhotometricInterpretation & | GetPhotometricInterpretation () const
PixelFormat & | GetPixelFormat ()
const PixelFormat & | GetPixelFormat () const
unsigned int | GetPlanarConfiguration () const
bool | IsLossy () const
void | SetDimensions (const unsigned int d[3])
void | SetDimensions (const std::vector< unsigned int > &d)
void | SetLossyFlag (bool l)
void | SetLUT (LookupTable const &lut)
void | SetNeedByteSwap (bool b)
void | SetNeedOverlayCleanup (bool b)
void | SetNumberOfDimensions (unsigned int dim)
void | SetPhotometricInterpretation (PhotometricInterpretation const &pi)
virtual void | SetPixelFormat (PixelFormat const &pf)
void | SetPlanarConfiguration (unsigned int pc)

## Protected Member Functions

bool | DecodeExtent (char *buffer, unsigned int xmin, unsigned int xmax, unsigned int ymin, unsigned int ymax, unsigned int zmin, unsigned int zmax, std::istream &is)
Protected Member Functions inherited from gdcm::ImageCodec
bool | DecodeByStreams (std::istream &is_, std::ostream &os)
bool | DoByteSwap (std::istream &is_, std::ostream &os)
bool | DoInvertMonochrome (std::istream &is_, std::ostream &os)
bool | DoOverlayCleanup (std::istream &is_, std::ostream &os)
bool | DoPaddedCompositePixelCode (std::istream &is_, std::ostream &os)
bool | DoPlanarConfiguration (std::istream &is_, std::ostream &os)
bool | DoSimpleCopy (std::istream &is_, std::ostream &os)
bool | DoYBR (std::istream &is_, std::ostream &os)
virtual bool | IsValid (PhotometricInterpretation const &pi)

## Friends

class | ImageRegionReader

## Additional Inherited Members

Protected Types inherited from gdcm::ImageCodec
typedef SmartPointer< LookupTable > | LUTPtr
Protected Attributes inherited from gdcm::ImageCodec
unsigned int | Dimensions [3]
bool | LossyFlag
LUTPtr | LUT
bool | NeedByteSwap
bool | NeedOverlayCleanup
unsigned int | NumberOfDimensions
PixelFormat | PF
PhotometricInterpretation | PI
unsigned int | PlanarConfiguration
bool | RequestPaddedCompositePixelCode
bool | RequestPlanarConfiguration

## Detailed Description

JPEG-LS.

Note
  codec that implement the JPEG-LS compression this is an implementation of ImageCodec for JPEG-LS

It uses the CharLS JPEG-LS implementation http://charls.codeplex.com

## Constructor & Destructor Documentation

gdcm::JPEGLSCodec::JPEGLSCodec | ( |  | ) |

gdcm::JPEGLSCodec::~JPEGLSCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::JPEGLSCodec::CanCode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEGLSCodec::CanDecode | ( | TransferSyntax const & |  | ) | const

virtual

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEGLSCodec::Code | ( | DataElement const & | in_,
|  | DataElement & | out_
| ) |  |

virtual

Code.

Reimplemented from gdcm::Coder.

bool gdcm::JPEGLSCodec::Decode | ( | DataElement const & | ,
|  | DataElement & |
| ) |  |

virtual

Decode.

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEGLSCodec::Decode | ( | DataElement const & | in,
|  | char * | outBuffer,
|  | size_t | inBufferLength,
|  | uint32_t | inXMin,
|  | uint32_t | inXMax,
|  | uint32_t | inYMin,
|  | uint32_t | inYMax,
|  | uint32_t | inZMin,
|  | uint32_t | inZMax
| ) |  |

bool gdcm::JPEGLSCodec::DecodeExtent | ( | char * | buffer,
|  | unsigned int | xmin,
|  | unsigned int | xmax,
|  | unsigned int | ymin,
|  | unsigned int | ymax,
|  | unsigned int | zmin,
|  | unsigned int | zmax,
|  | std::istream & | is
| ) |  |

protected

unsigned long gdcm::JPEGLSCodec::GetBufferLength | ( |  | ) | const

inline

bool gdcm::JPEGLSCodec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  |

virtual

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEGLSCodec::GetLossless | ( |  | ) | const

void gdcm::JPEGLSCodec::SetBufferLength | ( | unsigned long | l | ) |

inline

void gdcm::JPEGLSCodec::SetLossless | ( | bool | l | ) |

void gdcm::JPEGLSCodec::SetLossyError | ( | int | error | ) |

[0-3] generally

## Friends And Related Function Documentation

friend class ImageRegionReader

friend

The documentation for this class was generated from the following file:

- gdcmJPEGLSCodec.h